classification
Title: Deprecate or remove sqlite3.OptimizedUnicode
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, erlendaasland, pablogsal, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2020-11-04 21:24 by erlendaasland, last changed 2020-11-17 16:20 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23163 merged erlendaasland, 2020-11-05 12:30
Messages (2)
msg380363 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2020-11-04 21:24
Ref. discussion on GH-23148: https://github.com/python/cpython/pull/23148#discussion_r517536083

OptimizedUnicode was obsoleted and undocumented in Python 3.3 (see commit 86dc732f1f).

Suggesting to either deprecate OptimizedUnicode in 3.10 and remove it in 3.11, or just simply remove it in 3.10.

Relevant history:
48b13f0427 (undoc)
bc35bebb45 (clean up and undoc, closing bpo-13921)

(Pablo, adding you to nosy since you're the release manager; hope that's ok)
msg381252 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-11-17 15:55
New changeset a1f401a58b213e400fbd8f0fa8dc5260a2389dab by Erlend Egeberg Aasland in branch 'master':
bpo-42264: Deprecate sqlite3.OptimizedUnicode (GH-23163)
https://github.com/python/cpython/commit/a1f401a58b213e400fbd8f0fa8dc5260a2389dab
History
Date User Action Args
2020-11-17 16:20:23serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-11-17 15:55:25serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg381252
2020-11-05 12:30:50erlendaaslandsetkeywords: + patch
stage: patch review
pull_requests: + pull_request22075
2020-11-04 21:24:26erlendaaslandcreate